/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */
 
package org.ow2.jasmine.monitoring.eos.notification.vo
{
import com.adobe.cairngorm.vo.IValueObject;

/**
 * This object represents the result of an action.
 */
[Bindable]
public class ActionResultVO implements IValueObject
{

    /**
     * Name of the action.
     */
    private var nameObj : String;

    public function ActionResultVO() {
    }

    public function set name(_name:String) : void {
        this.nameObj = _name;
    }
    
    public function get name() : String {
        return this.nameObj;
    }

    /**
     * Type of the action.
     */
    private var typeObj : String;

    public function set type(_type:String) : void {
        this.typeObj = _type;
    }
    
    public function get type() : String {
        return this.typeObj;
    }

    /**
     * The result of the executed action.
     */
    private var resultObj : Object;
    
    public function set result(_result : Object) : void {
        this.resultObj = _result;
    }
    
    public function get result() : Object {
        return this.resultObj;
    }

}
}